Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163037 - CAN-2005-1849 zlib buffer overflow
Summary: CAN-2005-1849 zlib buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: zlib
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Ivana Varekova
QA Contact: Jay Turner
URL:
Whiteboard: embargo=?,impact=important,source=ven...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-12 13:46 UTC by Josh Bressers
Modified: 2015-01-08 00:10 UTC (History)
2 users (show)

Fixed In Version: RHSA-2005-584
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 918047 (view as bug list)
Environment:
Last Closed: 2005-07-21 17:50:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:584 normal SHIPPED_LIVE Important: zlib security update 2005-07-21 04:00:00 UTC

Description Josh Bressers 2005-07-12 13:46:48 UTC
A buffer overflow issue has been found in zlib that can overflow
inflate_state.codes[ENOUGH] by 16 bytes.

It is possible to leverage this issue by creating a valid zlib stream.

Comment 1 Josh Bressers 2005-07-12 13:48:03 UTC
This issue does not affect RHEL2.1 or RHEL3

Comment 2 Mark J. Cox 2005-07-21 17:35:44 UTC
This has been made public at least in a Debian update yesterday, so removing
embargo from the bug.

Comment 3 Red Hat Bugzilla 2005-07-21 17:50:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-584.html



Note You need to log in before you can comment on or make changes to this bug.